com.independentsoft.exchange

## Enum AffectedTaskOccurrences

- java.lang.Object
- - java.lang.Enum<AffectedTaskOccurrences>
  - - com.independentsoft.exchange.AffectedTaskOccurrences

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AffectedTaskOccurrences>

      public enum AffectedTaskOccurrences
      extends java.lang.Enum<AffectedTaskOccurrences>

  Represents task occurrences.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL_OCCURRENCES` All task occurrences.
    `SPECIFIED_OCCURRENCE_ONLY` Specified task instance.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AffectedTaskOccurrences` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AffectedTaskOccurrences[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL_OCCURRENCES

          public static final AffectedTaskOccurrences ALL_OCCURRENCES

      All task occurrences.

    - #### SPECIFIED_OCCURRENCE_ONLY

          public static final AffectedTaskOccurrences SPECIFIED_OCCURRENCE_ONLY

      Specified task instance.

  - ### Method Detail

    - #### values

          public static AffectedTaskOccurrences[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AffectedTaskOccurrences c : AffectedTaskOccurrences.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AffectedTaskOccurrences valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null